/* -------------------------------
    CSS para ejemplos JavaScript
    (cc) 3con14, mar-2017
   ------------------------------- */
* { 
  margin     : 0;
  padding    : 0;
  box-sizing : border-box;
  transition : all 1s ease-in;
}
:focus { outline: 0 none transparent; }
body {
  max-width        : 100vw;
  min-height       : 100vh;
  font             : 16px/1.2 sans-serif;
  display          : flex;
  background-color : rgba(0, 0, 0, 0.75);
}
.caja {
  width  : 25vw;
  margin : auto;
}
img {
  max-width : 100%;
  height    : auto;
  filter    : drop-shadow(5px 5px 10px rgba(0,0,0,1));
}
.gira {
  transform: rotate(-90deg);
}
.boton {
  position      : absolute;
  top           : 10px;
  left          : 10px;
  width         : 65px;
  height        : 65px;
  cursor        : pointer;
  border-radius : 50%;
  box-shadow    : 1px 1px 5px 0 rgba(0, 0, 0, 0.5);
  transition    : all 0.2s ease-in;
}
.boton:hover { background-color: rgba(255, 0, 0, 0.5); }
.b2 { left: 80px; }